cURL
curl --request POST \ --url https://mcp-bff.gojinko.com/api/v1/shop/sync/checkout \ --header 'Content-Type: application/json' \ --data ' { "trip_id": "<string>" } '
{ "checkout_url": "<string>", "expires_at": "<string>", "items": [ { "available_ancillaries": [ { "description": "<string>", "label": "<string>", "max_quantity": 123, "offer_id": "<string>", "per_pax": true, "price_per_unit": { "amount": 123, "currency": "<string>" }, "type": "<string>" } ], "item_id": "<string>", "kind": "<string>", "pax_count": 123, "price": { "amount": 123, "currency": "<string>" }, "selected_ancillaries": [ { "offer_id": "<string>", "pax_ref_id": "<string>", "quantity": 123 } ] } ], "session_id": "<string>", "status": "<string>", "total_amount": { "amount": 123, "currency": "<string>" } }
Starts the checkout flow for a trip (cart), creating a Stripe Checkout Session or PaymentIntent depending on the configured authorisation type.
Checkout request
OK
Show child attributes
"ready", "pending", "failed"